using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	/// TC回调服务
	/// </summary>
	public interface ITCTransService
    {
        void Confirm(Appointment aptInfo);
        void Cancel(CancelReq req);
        List<Pub_Pat_Info> UpdatePatientInfo(string patId);
        void UpdateAptStatus(string patId, string usrn, string aptDateTime, string aptStatus);
        string SignOffMsg(string patientId, string episodeNo);
        void SendSignOffMsg(int patId);

        int TestSignOff();
        
    }
}
